Skip to content

Suspend policy

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Suspend policy

Security
oauth2ClientCredentials(Required scopes: wallet-policies:write)
Path
policyIdstringrequired

Policy ID

Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
reasonstring

Reason for suspension

Example:"Pending investigation"
suspended_bystring

Employee ID of the suspender (auto-populated from auth)

curl -i -X POST \
  'https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/{policyId}/suspend' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "reason": "Pending investigation",
    "suspended_by": "string"
  }'

Responses

Policy suspended successfully

Bodyapplication/json
_idstringrequired

Policy MongoDB ID

subject_typestringrequired

Subject type

Enum:"EMPLOYEE""BUSINESS""EXTERNAL"
employee_idobject

Employee reference (populated)

business_idstring

Business ID

external_refstring

External reference

wallet_idstringrequired

Wallet ID

permissionsArray of stringsrequired

Granted permissions

limitsobject(PolicyLimitsResponseDto)

Transaction limits

thresholdsobject(PolicyThresholdsResponseDto)

Approval thresholds

restrictionsobject(PolicyRestrictionsResponseDto)

Display restrictions

statusstringrequired

Policy status

Enum:"ACTIVE""SUSPENDED""EXPIRED""REVOKED"
valid_fromstring

Policy start date

valid_untilstring

Policy expiry date

granted_byobject

Granter employee reference

revoked_bystring

Revoker employee ID

revoked_atstring

Revocation timestamp

revoke_reasonstring

Revocation reason

labelstring

Human-friendly label

notesstring

Additional notes

createdAtstringrequired

Creation timestamp

updatedAtstringrequired

Last update timestamp

Response
{ "_id": "string", "subject_type": "EMPLOYEE", "employee_id": {}, "business_id": "string", "external_ref": "string", "wallet_id": "string", "permissions": [ "string" ], "limits": { "per_transaction": {}, "daily_total": {}, "monthly_total": {}, "currency": "string" }, "thresholds": { "approval_required_above": {}, "auto_flag_above": {} }, "restrictions": { "mask_balance": true, "mask_transaction_amounts": true, "max_transaction_history_days": 0 }, "status": "ACTIVE", "valid_from": "string", "valid_until": "string", "granted_by": {}, "revoked_by": "string", "revoked_at": "string", "revoke_reason": "string", "label": "string", "notes": "string", "createdAt": "string", "updatedAt": "string" }